Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# apply_operation.hpp File Reference

## Detailed Description

Implements apply_operation for variants. Optionally performs type reduction.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  Last updated on May 4, 2006

`#include "apply_operation_base.hpp"`
`#include "variant.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil

## Functions

template<typename Types, typename UnaryOp>
GIL_FORCEINLINE UnaryOp::result_type | apply_operation (variant< Types > &arg, UnaryOp op)
| Invokes a generic mutable operation (represented as a unary function object) on a variant.
template<typename Types, typename UnaryOp>
GIL_FORCEINLINE UnaryOp::result_type | apply_operation (const variant< Types > &arg, UnaryOp op)
| Invokes a generic constant operation (represented as a unary function object) on a variant.
template<typename Types1, typename Types2, typename BinaryOp>
GIL_FORCEINLINE BinaryOp::result_type | apply_operation (const variant< Types1 > &arg1, const variant< Types2 > &arg2, BinaryOp op)
| Invokes a generic constant operation (represented as a binary function object) on two variants.